Subject: RE: Cygwin doesn't recognize the Canadian French keyboard
From: Daniel Landry <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 7 Jul 2005 21:07:24 -0400

In Xterm, running bash, the result is:

$ echo \351
e		(e acute is displayed correctly)

$ bind -v | grep meta
set convert-meta off
set input-meta off
set meta-flag off
set output-meta off

My complete .bashrc is (I have removed only the line beginning by #):

# User dependent .bashrc file

eval 'dircolors -b'
alias whereis=which
alias xterm='xterm -sl 5000'

# Requis pour accent francais dans certaines applications
alias less='less -r'
alias ls='ls -F --color=tty --show-control-chars'
export LANG="fr"
export LC_ALL="fr_CA"
export LC_CTYPE="iso-8859-1"
export OUTPUT_CHARSET="iso-8859-1"
export LESSCHARSET="iso8859"
# Requis lorsque la dedection automatique de Xwin ne fonctionne pas
setxkbmap ca_enhanced

On Thu, 7 Jul 2005, Igor Pechtchanski wrote:

>At which point this stops being an X-related problem, and is better
>discussed on the main list.  I've set the Reply-To: accordingly (though
>the xfree list is likely to add another pointing to itself).

>> I have followed the link and adapt to my specific need but it seems that
>> I have missed something.  Accented characters are printed as if
>> convert-meta is set to on.  As an example e (e acute) is displayed as
>> \351.

>Displayed by what?  If you type "echo e" at the bash prompt, does that
>display properly?  What about "echo -e '\0351'"?

>> These are my home configuration files
>>
>> # .bashrc ?
>> # .inputrc ?

>What does "bind -v | grep meta" show when run from bash?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/